
// Workaround to access protected functions
#ifndef protected
#  define protected public
#endif

// default includes
#include <shiboken.h>

#define PYSIDE6_COMOPT_FULLNAME 1
#define PYSIDE6_COMOPT_COMPRESS 1
// TODO: #define PYSIDE6_COMOPT_FOLDING 1

#ifndef QT_NO_VERSION_TAGGING
#  define QT_NO_VERSION_TAGGING
#endif
#include <QtCore/QDebug>
#include <pysideqenum.h>
#include <pysideqmetatype.h>
#include <pysideutils.h>
#include <feature_select.h>
QT_WARNING_DISABLE_DEPRECATED


// module include
#include "kcoreaddons_python.h"

// main header
#include "kaboutcomponent_wrapper.h"

// Argument includes
#include <QString>
#include <kaboutdata.h>
#include <qobject.h>
#include <qobjectdefs.h>

#include <cctype>
#include <cstring>
#include <iterator>
#include <type_traits>
#include <typeinfo>


// Target ---------------------------------------------------------

extern "C" {
static int
Sbk_KAboutComponent_Init(PyObject *self, PyObject *args, PyObject *kwds)
{
    SBK_UNUSED(kwds)
    auto *sbkSelf = reinterpret_cast<SbkObject *>(self);
    PySide::Feature::Select(self);
    if (Shiboken::Object::isUserType(self) && !Shiboken::ObjectType::canCallConstructor(self->ob_type, Shiboken::SbkType< ::KAboutComponent >()))
        return -1;

    ::KAboutComponent *cptr{};
    Shiboken::AutoDecRef errInfo{};
    Shiboken::PythonContextMarker pcm;
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp[5];
    SBK_UNUSED(pythonToCpp)
    const Py_ssize_t numArgs = PyTuple_Size(args);
    SBK_UNUSED(numArgs)
    PyObject *pyArgs[] = {nullptr, nullptr, nullptr, nullptr, nullptr};

    // invalid argument lengths
    errInfo.reset(Shiboken::checkInvalidArgumentCount(numArgs, 0, 5));
    if (!errInfo.isNull())
        return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]);

    if (PyArg_ParseTuple(args, "|OOOOO:KAboutComponent", &(pyArgs[0]), &(pyArgs[1]), &(pyArgs[2]), &(pyArgs[3]), &(pyArgs[4])) == 0)
        return -1;


    // Overloaded function decisor
    // 0: KAboutComponent::KAboutComponent(KAboutComponent)
    // 1: KAboutComponent::KAboutComponent(const QString&=,const QString&=,const QString&=,const QString&=,KAboutLicense::LicenseKey=)
    // 2: KAboutComponent::KAboutComponent(QString,QString,QString,QString,QString)
    if (numArgs == 0) {
        overloadId = 1; // KAboutComponent(QString,QString,QString,QString,KAboutLicense::LicenseKey)
    } else if (numArgs >= 1
        && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], (pyArgs[0])))) {
        if (numArgs == 1) {
            overloadId = 1; // KAboutComponent(QString,QString,QString,QString,KAboutLicense::LicenseKey)
        } else if (numArgs >= 2
            && (pythonToCpp[1] = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], (pyArgs[1])))) {
            if (numArgs == 2) {
                overloadId = 1; // KAboutComponent(QString,QString,QString,QString,KAboutLicense::LicenseKey)
            } else if (numArgs >= 3
                && (pythonToCpp[2] = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], (pyArgs[2])))) {
                if (numArgs == 3) {
                    overloadId = 1; // KAboutComponent(QString,QString,QString,QString,KAboutLicense::LicenseKey)
                } else if (numArgs >= 4
                    && (pythonToCpp[3] = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], (pyArgs[3])))) {
                    if (numArgs == 4) {
                        overloadId = 1; // KAboutComponent(QString,QString,QString,QString,KAboutLicense::LicenseKey)
                    } else if (numArgs == 5
                        && (pythonToCpp[4] = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], (pyArgs[4])))) {
                        overloadId = 2; // KAboutComponent(QString,QString,QString,QString,QString)
                    } else if (numArgs >= 5
                        && (pythonToCpp[4] = Shiboken::Conversions::pythonToCppConversion(PepType_SETP(reinterpret_cast<SbkEnumType *>(Shiboken::Module::get(SbkKCoreAddonsTypeStructs[SBK_KAboutLicense_LicenseKey_IDX])))->converter, (pyArgs[4])))) {
                        overloadId = 1; // KAboutComponent(QString,QString,QString,QString,KAboutLicense::LicenseKey)
                    }
                }
            }
        }
    } else if (numArgs == 1
        && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppReferenceConversion(Shiboken::Module::get(SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]), (pyArgs[0])))) {
        overloadId = 0; // KAboutComponent(KAboutComponent)
    }

    // Function signature not found.
    if (overloadId == -1)
        return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]);


    // PyMI support
    Shiboken::callInheritedInit(self, args, kwds, SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]);
    if (Shiboken::Errors::occurred() != nullptr)
        return -1;

    // Call function/method
    switch (overloadId) {
        case 0: // KAboutComponent(const KAboutComponent &other)
        {
            if (kwds != nullptr && PyDict_Size(kwds) > 0) {
                errInfo.reset(kwds);
                Py_INCREF(errInfo.object());
                return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]);
            }
            if (!Shiboken::Object::isValid(pyArgs[0]))
                return -1;
            ::KAboutComponent *cppArg0;
            pythonToCpp[0](pyArgs[0], &cppArg0);

            if (Shiboken::Errors::occurred() == nullptr) {
                // KAboutComponent(KAboutComponent)
                cptr = new ::KAboutComponent(*cppArg0);
            }
            break;
        }
        case 1: // KAboutComponent(const QString &name, const QString &description, const QString &version, const QString &webAddress, KAboutLicense::LicenseKey licenseType)
        {
            if (kwds && PyDict_Size(kwds) > 0) {
                PyObject *value{};
                Shiboken::AutoDecRef kwds_dup(PyDict_Copy(kwds));
                static PyObject *const key_name = Shiboken::String::createStaticString("name");
                if (PyDict_Contains(kwds, key_name) != 0) {
                    value = PyDict_GetItem(kwds, key_name);
                    if (value != nullptr && pyArgs[0] != nullptr ) {
                        errInfo.reset(key_name);
                        Py_INCREF(errInfo.object());
                        return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]);
                    }
                    if (value != nullptr) {
                        pyArgs[0] = value;
                        if (!(pythonToCpp[0] = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], (pyArgs[0]))))
                            return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]);
                    }
                    PyDict_DelItem(kwds_dup, key_name);
                }
                static PyObject *const key_description = Shiboken::String::createStaticString("description");
                if (PyDict_Contains(kwds, key_description) != 0) {
                    value = PyDict_GetItem(kwds, key_description);
                    if (value != nullptr && pyArgs[1] != nullptr ) {
                        errInfo.reset(key_description);
                        Py_INCREF(errInfo.object());
                        return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]);
                    }
                    if (value != nullptr) {
                        pyArgs[1] = value;
                        if (!(pythonToCpp[1] = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], (pyArgs[1]))))
                            return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]);
                    }
                    PyDict_DelItem(kwds_dup, key_description);
                }
                static PyObject *const key_version = Shiboken::String::createStaticString("version");
                if (PyDict_Contains(kwds, key_version) != 0) {
                    value = PyDict_GetItem(kwds, key_version);
                    if (value != nullptr && pyArgs[2] != nullptr ) {
                        errInfo.reset(key_version);
                        Py_INCREF(errInfo.object());
                        return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]);
                    }
                    if (value != nullptr) {
                        pyArgs[2] = value;
                        if (!(pythonToCpp[2] = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], (pyArgs[2]))))
                            return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]);
                    }
                    PyDict_DelItem(kwds_dup, key_version);
                }
                static PyObject *const key_webAddress = Shiboken::String::createStaticString("webAddress");
                if (PyDict_Contains(kwds, key_webAddress) != 0) {
                    value = PyDict_GetItem(kwds, key_webAddress);
                    if (value != nullptr && pyArgs[3] != nullptr ) {
                        errInfo.reset(key_webAddress);
                        Py_INCREF(errInfo.object());
                        return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]);
                    }
                    if (value != nullptr) {
                        pyArgs[3] = value;
                        if (!(pythonToCpp[3] = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], (pyArgs[3]))))
                            return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]);
                    }
                    PyDict_DelItem(kwds_dup, key_webAddress);
                }
                static PyObject *const key_licenseType = Shiboken::String::createStaticString("licenseType");
                if (PyDict_Contains(kwds, key_licenseType) != 0) {
                    value = PyDict_GetItem(kwds, key_licenseType);
                    if (value != nullptr && pyArgs[4] != nullptr ) {
                        errInfo.reset(key_licenseType);
                        Py_INCREF(errInfo.object());
                        return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]);
                    }
                    if (value != nullptr) {
                        pyArgs[4] = value;
                        if (!(pythonToCpp[4] = Shiboken::Conversions::pythonToCppConversion(PepType_SETP(reinterpret_cast<SbkEnumType *>(Shiboken::Module::get(SbkKCoreAddonsTypeStructs[SBK_KAboutLicense_LicenseKey_IDX])))->converter, (pyArgs[4]))))
                            return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]);
                    }
                    PyDict_DelItem(kwds_dup, key_licenseType);
                }
                if (PyDict_Size(kwds_dup) > 0) {
                    errInfo.reset(kwds_dup.release());
                    return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]);
                }
            }
            ::QString cppArg0 = QString();
            if (pythonToCpp[0])
                pythonToCpp[0](pyArgs[0], &cppArg0);
            ::QString cppArg1 = QString();
            if (pythonToCpp[1])
                pythonToCpp[1](pyArgs[1], &cppArg1);
            ::QString cppArg2 = QString();
            if (pythonToCpp[2])
                pythonToCpp[2](pyArgs[2], &cppArg2);
            ::QString cppArg3 = QString();
            if (pythonToCpp[3])
                pythonToCpp[3](pyArgs[3], &cppArg3);
            ::KAboutLicense::LicenseKey cppArg4(KAboutLicense::Unknown);
            if (pythonToCpp[4])
                pythonToCpp[4](pyArgs[4], &cppArg4);

            if (Shiboken::Errors::occurred() == nullptr) {
                // KAboutComponent(QString,QString,QString,QString,KAboutLicense::LicenseKey)
                cptr = new ::KAboutComponent(cppArg0, cppArg1, cppArg2, cppArg3, cppArg4);
            }
            break;
        }
        case 2: // KAboutComponent(const QString &name, const QString &description, const QString &version, const QString &webAddress, const QString &pathToLicenseFile)
        {
            if (kwds != nullptr && PyDict_Size(kwds) > 0) {
                errInfo.reset(kwds);
                Py_INCREF(errInfo.object());
                return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]);
            }
            ::QString cppArg0;
            pythonToCpp[0](pyArgs[0], &cppArg0);
            ::QString cppArg1;
            pythonToCpp[1](pyArgs[1], &cppArg1);
            ::QString cppArg2;
            pythonToCpp[2](pyArgs[2], &cppArg2);
            ::QString cppArg3;
            pythonToCpp[3](pyArgs[3], &cppArg3);
            ::QString cppArg4;
            pythonToCpp[4](pyArgs[4], &cppArg4);

            if (Shiboken::Errors::occurred() == nullptr) {
                // KAboutComponent(QString,QString,QString,QString,QString)
                cptr = new ::KAboutComponent(cppArg0, cppArg1, cppArg2, cppArg3, cppArg4);
            }
            break;
        }
    }

    if (Shiboken::Errors::occurred() != nullptr || !Shiboken::Object::setCppPointer(sbkSelf, Shiboken::SbkType< ::KAboutComponent >(), cptr)) {
        delete cptr;
        return -1;
    }
    if (cptr == nullptr)
        return Shiboken::returnWrongArguments_MinusOne(args, "__init__", errInfo, SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]);

    Shiboken::Object::setValidCpp(sbkSelf, true);
    if (Shiboken::BindingManager::instance().hasWrapper(cptr)) {
        Shiboken::BindingManager::instance().releaseWrapper(Shiboken::BindingManager::instance().retrieveWrapper(cptr));
    }
    Shiboken::BindingManager::instance().registerWrapper(sbkSelf, cptr);


    return 1;
}

static PyObject *Sbk_KAboutComponentFunc_description(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto *cppSelf = reinterpret_cast< ::KAboutComponent *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]), reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        if (Shiboken::Errors::occurred() == nullptr) {
            // description()const
            QString cppResult = const_cast<const ::KAboutComponent *>(cppSelf)->description();
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], &cppResult);
        }
    }

    if (Shiboken::Errors::occurred() != nullptr || pyResult == nullptr) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_KAboutComponentFunc_license(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto *cppSelf = reinterpret_cast< ::KAboutComponent *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]), reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        if (Shiboken::Errors::occurred() == nullptr) {
            // license()const
            KAboutLicense* cppResult = new KAboutLicense(const_cast<const ::KAboutComponent *>(cppSelf)->license());
            pyResult = Shiboken::Object::newObject(Shiboken::Module::get(SbkKCoreAddonsTypeStructs[SBK_KAboutLicense_IDX]), cppResult, true, true);
        }
    }

    if (Shiboken::Errors::occurred() != nullptr || pyResult == nullptr) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_KAboutComponentFunc_name(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto *cppSelf = reinterpret_cast< ::KAboutComponent *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]), reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        if (Shiboken::Errors::occurred() == nullptr) {
            // name()const
            QString cppResult = const_cast<const ::KAboutComponent *>(cppSelf)->name();
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], &cppResult);
        }
    }

    if (Shiboken::Errors::occurred() != nullptr || pyResult == nullptr) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_KAboutComponentFunc_version(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto *cppSelf = reinterpret_cast< ::KAboutComponent *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]), reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        if (Shiboken::Errors::occurred() == nullptr) {
            // version()const
            QString cppResult = const_cast<const ::KAboutComponent *>(cppSelf)->version();
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], &cppResult);
        }
    }

    if (Shiboken::Errors::occurred() != nullptr || pyResult == nullptr) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_KAboutComponentFunc_webAddress(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto *cppSelf = reinterpret_cast< ::KAboutComponent *>(Shiboken::Conversions::cppPointer(Shiboken::Module::get(SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX]), reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::PythonContextMarker pcm;

    // Call function/method
    {

        if (Shiboken::Errors::occurred() == nullptr) {
            // webAddress()const
            QString cppResult = const_cast<const ::KAboutComponent *>(cppSelf)->webAddress();
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtCoreTypeConverters[SBK_QString_IDX], &cppResult);
        }
    }

    if (Shiboken::Errors::occurred() != nullptr || pyResult == nullptr) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}


static const char *Sbk_KAboutComponent_PropertyStrings[] = {
    "description:",
    "licenses:license",
    "name:",
    "version:",
    "webAddress:",
    nullptr // Sentinel
};

static PyMethodDef Sbk_KAboutComponent_methods[] = {
    {"description", reinterpret_cast<PyCFunction>(Sbk_KAboutComponentFunc_description), METH_NOARGS, nullptr},
    {"license", reinterpret_cast<PyCFunction>(Sbk_KAboutComponentFunc_license), METH_NOARGS, nullptr},
    {"name", reinterpret_cast<PyCFunction>(Sbk_KAboutComponentFunc_name), METH_NOARGS, nullptr},
    {"version", reinterpret_cast<PyCFunction>(Sbk_KAboutComponentFunc_version), METH_NOARGS, nullptr},
    {"webAddress", reinterpret_cast<PyCFunction>(Sbk_KAboutComponentFunc_webAddress), METH_NOARGS, nullptr},
    {nullptr, nullptr, 0, nullptr} // Sentinel
};

} // extern "C"

static int Sbk_KAboutComponent_traverse(PyObject *self, visitproc visit, void *arg)
{
    auto traverseProc = reinterpret_cast<traverseproc>(PepType_GetSlot(SbkObject_TypeF(), Py_tp_traverse));
    ;
    return traverseProc(self, visit, arg);
}
static int Sbk_KAboutComponent_clear(PyObject *self)
{
    auto clearProc = reinterpret_cast<inquiry>(PepType_GetSlot(SbkObject_TypeF(), Py_tp_clear));
    ;
    return clearProc(self);
}
// Class Definition -----------------------------------------------
extern "C" {
static PyTypeObject *_Sbk_KAboutComponent_Type = nullptr;
static PyTypeObject *Sbk_KAboutComponent_TypeF(void)
{
    return _Sbk_KAboutComponent_Type;
}

static PyType_Slot Sbk_KAboutComponent_slots[] = {
    {Py_tp_base,        nullptr}, // inserted by introduceWrapperType
    {Py_tp_dealloc,     reinterpret_cast<void *>(&SbkDeallocWrapper)},
    {Py_tp_traverse,    reinterpret_cast<void *>(Sbk_KAboutComponent_traverse)},
    {Py_tp_clear,       reinterpret_cast<void *>(Sbk_KAboutComponent_clear)},
    {Py_tp_methods,     reinterpret_cast<void *>(Sbk_KAboutComponent_methods)},
    {Py_tp_init,        reinterpret_cast<void *>(Sbk_KAboutComponent_Init)},
    {Py_tp_new,         reinterpret_cast<void *>(SbkObject_tp_new)},
    {0, nullptr}
};
static PyType_Spec Sbk_KAboutComponent_spec = {
    "1:KCoreAddons.KAboutComponent",
    sizeof(SbkObject),
    0,
    Py_TPFLAGS_DEFAULT|Py_TPFLAGS_BASETYPE|Py_TPFLAGS_HAVE_GC,
    Sbk_KAboutComponent_slots
};

} //extern "C"

// Type conversion functions.

// Python to C++ pointer conversion - returns the C++ object of the Python wrapper (keeps object identity).
static void KAboutComponent_PythonToCpp_KAboutComponent_PTR(PyObject *pyIn, void *cppOut)
{
    Shiboken::Conversions::pythonToCppPointer(Sbk_KAboutComponent_TypeF(), pyIn, cppOut);
}
static PythonToCppFunc is_KAboutComponent_PythonToCpp_KAboutComponent_PTR_Convertible(PyObject *pyIn)
{
    if (pyIn == Py_None)
        return Shiboken::Conversions::nonePythonToCppNullPtr;
    if (PyObject_TypeCheck(pyIn, Sbk_KAboutComponent_TypeF()))
        return KAboutComponent_PythonToCpp_KAboutComponent_PTR;
    return {};
}

// C++ to Python pointer conversion - tries to find the Python wrapper for the C++ object (keeps object identity).
static PyObject *KAboutComponent_PTR_CppToPython_KAboutComponent(const void *cppIn)
{
    auto *pyOut = reinterpret_cast<PyObject *>(Shiboken::BindingManager::instance().retrieveWrapper(cppIn));
    if (pyOut) {
        Py_INCREF(pyOut);
        return pyOut;
    }
    return Shiboken::Object::newObjectWithHeuristics(Sbk_KAboutComponent_TypeF(), const_cast<void *>(cppIn), false);

}

// The signatures string for the functions.
// Multiple signatures have their index "n:" in front.
#if PYSIDE6_COMOPT_COMPRESS == 0
static const char *KAboutComponent_SignatureStrings[] = {
    "2:KCoreAddons.KAboutComponent(self,other:KCoreAddons.KAboutComponent)",
    "1:KCoreAddons.KAboutComponent(self,name:QString=QString(),description:QString=QString(),version:QString=QString(),webAddress:QString=QString(),licenseType:KCoreAddons.KAboutLicense.LicenseKey=KAboutLicense.Unknown)",
    "0:KCoreAddons.KAboutComponent(self,name:QString,description:QString,version:QString,webAddress:QString,pathToLicenseFile:QString)",
    "KCoreAddons.KAboutComponent.description(self)->QString",
    "KCoreAddons.KAboutComponent.license(self)->KCoreAddons.KAboutLicense",
    "KCoreAddons.KAboutComponent.name(self)->QString",
    "KCoreAddons.KAboutComponent.version(self)->QString",
    "KCoreAddons.KAboutComponent.webAddress(self)->QString",
    nullptr}; // Sentinel
#else
static constexpr size_t KAboutComponent_SignatureByteSize = 192;
static constexpr uint8_t KAboutComponent_SignatureBytes[192] = {
    0x78, 0xda, 0x95, 0x50, 0xc9, 0x0e, 0x82, 0x30, 0x10, 0xbd, 0xf3, 0x25, 0x34, 0x41, 0xa2, 0x1e,
    0x49, 0x30, 0x21, 0x24, 0x5e, 0xf0, 0x62, 0xc4, 0x0f, 0x60, 0x19, 0xb5, 0x11, 0x66, 0x9a, 0xb6,
    0x4a, 0xf8, 0x7b, 0xb7, 0xba, 0x91, 0x5a, 0xc3, 0x69, 0x0e, 0x6f, 0xde, 0x3a, 0x8f, 0xb2, 0x94,
    0x24, 0x24, 0x75, 0x4d, 0xa8, 0xc2, 0x2c, 0x29, 0xe9, 0xa4, 0x53, 0x6a, 0x05, 0x21, 0xa0, 0xf6,
    0x15, 0x34, 0xbb, 0x80, 0xf4, 0x01, 0xa4, 0xeb, 0x8d, 0x79, 0xb3, 0xff, 0x2a, 0x58, 0xb4, 0x10,
    0xad, 0x37, 0x5a, 0x72, 0xdc, 0xc7, 0xe6, 0xfa, 0x2c, 0xa8, 0x41, 0x55, 0x92, 0x0b, 0xcd, 0x09,
    0x2d, 0xe8, 0x19, 0xa4, 0xb2, 0x23, 0x1d, 0x94, 0x57, 0x37, 0x09, 0x4a, 0x59, 0xc0, 0x86, 0x57,
    0x80, 0x0a, 0xf2, 0x5e, 0x80, 0x25, 0xd8, 0xea, 0x81, 0x86, 0xe6, 0x66, 0xd0, 0xc7, 0xdf, 0xc0,
    0x16, 0x8f, 0x48, 0x1d, 0x32, 0x6f, 0x3a, 0xae, 0x96, 0xad, 0xcc, 0xb0, 0x82, 0x25, 0x78, 0x20,
    0x0a, 0x7d, 0xc8, 0xc9, 0xb8, 0x2f, 0x79, 0xf3, 0x12, 0x64, 0x9e, 0xc3, 0x3f, 0xfc, 0x70, 0xbb,
    0x67, 0x61, 0x93, 0x85, 0xe1, 0x39, 0x69, 0x66, 0x9c, 0x27, 0xe5, 0xe7, 0x3e, 0x4e, 0x91, 0x5b,
    0xed, 0x31, 0xa6, 0x66, 0x85, 0x31, 0x94, 0xf7, 0x50, 0x43, 0xd6, 0x05, 0x1e, 0x1a, 0xfe, 0xad
};
#endif

PyTypeObject *init_KAboutComponent(PyObject *module)
{
    if (SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX].type != nullptr)
        return SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX].type;

    Shiboken::AutoDecRef Sbk_KAboutComponent_Type_bases(PyTuple_Pack(1,
        SbkObject_TypeF()));

    _Sbk_KAboutComponent_Type = Shiboken::ObjectType::introduceWrapperType(
        module,
        "KAboutComponent",
        "KAboutComponent*",
        &Sbk_KAboutComponent_spec,
        &Shiboken::callCppDestructor< ::KAboutComponent >,
        Sbk_KAboutComponent_Type_bases.object(),
        0);
    auto *pyType = Sbk_KAboutComponent_TypeF(); // references _Sbk_KAboutComponent_Type
#if PYSIDE6_COMOPT_COMPRESS == 0
    InitSignatureStrings(pyType, KAboutComponent_SignatureStrings);
#else
    InitSignatureBytes(pyType, KAboutComponent_SignatureBytes, KAboutComponent_SignatureByteSize);
#endif
    SbkObjectType_SetPropertyStrings(pyType, Sbk_KAboutComponent_PropertyStrings);
    SbkKCoreAddonsTypeStructs[SBK_KAboutComponent_IDX].type = pyType;

    // Register Converter
    SbkConverter *converter = Shiboken::Conversions::createConverter(pyType,
        KAboutComponent_PythonToCpp_KAboutComponent_PTR,
        is_KAboutComponent_PythonToCpp_KAboutComponent_PTR_Convertible,
        KAboutComponent_PTR_CppToPython_KAboutComponent);

    Shiboken::Conversions::registerConverterName(converter, "KAboutComponent");
    Shiboken::Conversions::registerConverterName(converter, "KAboutComponent*");
    Shiboken::Conversions::registerConverterName(converter, "KAboutComponent&");
    Shiboken::Conversions::registerConverterName(converter, typeid(::KAboutComponent).name());

    qRegisterMetaType< ::KAboutComponent *>();

    return pyType;
}
